package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFDT7 extends MwfRequest<MWFDT7, MWFDT7Response> {

    @Parameter(name = "DuvodStorna")
    MWFDT7 duvodStorna(String duvodStorna);
    @Parameter(name = "FunkceOperatora")
    MWFDT7 funkceOperatora(String funkceOperatora);
    @Parameter(name = "OsobniBanker_ID")
    MWFDT7 osobniBankerID(String osobniBankerID);
    @Parameter(name = "OsobniBanker_Jmeno")
    MWFDT7 osobniBankerJmeno(String osobniBankerJmeno);
    @Parameter(name = "OsobniBanker_Prijmeni")
    MWFDT7 osobniBankerPrijmeni(String osobniBankerPrijmeni);
    @Parameter(name = "OsobniBanker_SSO")
    MWFDT7 osobniBankerSSO(String osobniBankerSSO);
    @Parameter(name = "WF_ID")
    MWFDT7 wfId(String wfId);
}
